/*
 * pathconf.c
 */


#include<sys/types.h>
#include<sys/stat.h>

#include<callgate.h>
#include<errno.h>
#include<string.h>
#include<stdio.h>
#include<fcntl.h>
#include<time.h>


long pathconf(const char *path, int name)
{
	int fd;
	int rest;


	if((fd=open(path,O_RDONLY))==-1)return -1;
	rest=fpathconf(fd,name);
	close(fd);

	return rest;
}
